# Retrieve transfer request details View the details behind a transfer request, using the transfer batch identifier. Endpoint: POST /api/ledger/{ledgerIdentifier}/transferBatch/byIdentifier Version: 1.0.0 Security: JWT ## Path parameters: - `ledgerIdentifier` (string, required) Ledger identifier, can be found using /api/ledger endpoint Example: "4b7375e9-79b0-4b8b-a89e-a21607f0239f" ## Request fields (application/json): - `onBehalfOfSrcAcctId` (string) If permitted, allows the caller to initiate transfer batches on behalf of another account holder, identifying that account holder by their system-assigned srcAcctId. - `transferBatchIdentifiers` (array) System-assigned identifiers associated with the transfer batches to be retrieved. ## Response 200 fields (application/json): - `transferBatches` (array) Collection of retrieved Transfer Batches - `transferBatches.identifier` (string) The system identifier for this transfer batch Example: "5A9BBB98-73E5-4226-B55E-1B4AABFE3CF3" - `transferBatches.fromSrcAcctId` (string) The transfer sender's system account identifier. Example: "009560e5-b724-11ef-a5d7-ee1d7e0f0847" - `transferBatches.fromSrcAcctIdentifier` (string) The transfer sender's account id, as displayed in the UI. Example: "14990148" - `transferBatches.fromName` (string) The transfer sender's account name. Example: "GHG Ohio" - `transferBatches.toSrcAcctId` (string) The transfer recipient's system-assigned unique account identifier. Example: "b5d8d6b3-bcaf-11ef-ae69-b61606fd520c" - `transferBatches.toSrcAcctIdentifier` (string) The transfer recipient's account id, as displayed on the registry. - `transferBatches.toName` (string) The transfer recipient's account name. Example: "GHG Trading" - `transferBatches.initiationDate` (string) - `transferBatches.quantity` (number) Total quantity associated with the transfer batch - `transferBatches.externalId` (string) If applicable, transfer identifier on the external ledger. - `transferBatches.unitPriceCurrencyShortName` (string) If applicable, the short name for currency associated with the transfer. Example: "USD" - `transferBatches.unitPriceAmount` (number) If applicable, the unit price associate with the transfer. - `transferBatches.notes` (string) If applicable, any notes associate with the transfer. - `transferBatches.actions` (array) List of transfer actions the API user has authorities to request. Enum: "CONFIRM", "WITHDRAW", "REJECT" - `transferBatches.holdings` (array) Collection of holdings associated with this transfer batch. - `transferBatches.holdings.identifier` (string) The holding's system-assigned identifier. - `transferBatches.holdings.resourceProgramAssignedIdentifier` (string) The associated resource's program assigned identifier. Example: "GHG1021" - `transferBatches.holdings.holdingStatus` (object) A reference datum data object Example: "GOC" - `transferBatches.holdings.holdingStatus.code` (string, required) The reference data's value. - `transferBatches.holdings.holdingStatus.name` (string) The reference data's name - `transferBatches.holdings.programPeriodBeginInclusive` (string) Start of program period (vintage) associated to the holding record's issuance. Example: "2022-01-01T00:00:00-05:00" - `transferBatches.holdings.programPeriodEndExclusive` (string) End of program period (vintage) associated to the holding record's issuance. Example: "2023-01-01T00:00:00-05:00" - `transferBatches.holdings.timeOfProductionBeginInclusive` (string) Start of production period associated to the holding's issuance Example: "2022-01-01T00:00:00-05:00" - `transferBatches.holdings.timeOfProductionEndExclusive` (string) End of production period associated to the holding's issuance Example: "2023-01-01T00:00:00-05:00" - `transferBatches.holdings.serialNumber` (string) The holding record's serial number. Example: "APXOPCAR-GOC-GHG1021-US-2022--46-5701-6700" - `transferBatches.holdings.quantity` (number) The quantity of the holding record. Example: 1000 - `transferBatches.holdings.programVersions` (array) Associated programs and their versions. - `transferBatches.holdings.programVersions.code` (string) Program code Example: "GHG_MEASUREMENT_PROGRAM" - `transferBatches.holdings.programVersions.version` (string) Version of Program. Example: "5.0.0" - `transferBatches.holdings.programVersions.shortName` (string) Program short name Example: "Carbon Measurement" - `transferBatches.holdings.programVersions.protocolVersions` (array) A list of Protocols associated with Program. - `transferBatches.holdings.programVersions.protocolVersions.code` (string) Protocol code Example: "AMS-I.D." - `transferBatches.holdings.programVersions.protocolVersions.version` (string) Version of Protocol Example: "1.0.0" - `transferBatches.holdings.programVersions.protocolVersions.shortName` (string) Protocol's short name Example: "AMS-I.D." - `transferBatches.holdings.protocolVersions` (array) Associated protocols and their versions. - `transferBatches.holdings.resourceInputTypeCodes` (array) A list of resource input types associated with the holding record's issuance. - `transferBatches.holdings.resourceOutputTypeCodes` (array) A list of resource output types associated with the holding record's issuance. Example: "CARBON_REDUCTION" - `transferBatches.holdings.subaccountIdentifier` (string) The system-assigned identifier for the subaccount. Example: "5FF7ABAA-095D-11EF-B304-AA080FC10FFA" - `transferBatches.holdings.subaccountName` (string) Subaccount name, as inputted by subaccount owner. Example: "My Linked Holdings" - `transferBatches.holdings.subaccountNumber` (string) Subaccount Id displayed on the Optimal Outcomes platform's UI. Example: "10033" - `transferBatches.holdings.programCertificationGroupCode` (string) The issuing program certification group of the holding record. Example: "NONAFOLU_GHG_MEASUREMENT_PROGRAM" - `transferBatches.holdings.upn` (string) Xpansiv Connect Universal Project Number (UPN) for Resource associated to the holding's issuance, if assigned. Example: "0999F5B4" - `transferBatches.holdings.ein` (string) Xpansiv Connect Environmental Instrument Number (EIN), if assigned. Example: "1246AFA3E2" - `transferBatches.holdings.einDescription` (string) Xpansiv Connect Environmental Instrument Number (EIN) details, if assigned Example: "VCU-20120101-20121231-EDEM-3267-ZMB" - `transferBatches.holdings.shadowedLedgerName` (string) If shadowing = true, the external ledger's name. Example: "Verra" - `transferBatches.holdings.managingExternalPlatformName` (string) If the holding is held in an external subaccount, the name of the managing external platform associated with the external subaccount. Example: "Xpansiv Connect" - `transferBatches.holdings.certificateType` (object) A reference datum data object Example: "GOC" - `transferBatches.transferTypeCode` (string) The transfer type's system code. Example: "INTRA" - `transferBatches.certificateTypeCode` (string) The holding's certificate type system code. Example: "GOC" - `transferBatches.certificateTypeName` (string) The name of the holding's certificate type. Example: "GhG Carbon Offset Credit" - `transferBatches.canWithdraw` (boolean) Whether or not the API user has authorities required to withdraw the transfer request. Example: true - `transferBatches.totalPrice` (number) - `transferBatches.currencyCode` (string) - `transferBatches.toSubaccountIdentifier` (string) - `transferBatches.toSubaccountName` (string) - `transferBatches.toSubaccountNumber` (string) ## Response 404 fields